Page MenuHomePhabricator

jsduck for Flow
Closed, ResolvedPublic1 Estimated Story Points

Description

Auto-build Flow JSDuck documentation and upload to https://doc.wikimedia.org/ (see Front end).

Event Timeline

Mattflaschen-WMF raised the priority of this task from to Needs Triage.
Mattflaschen-WMF updated the task description. (Show Details)
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptMar 31 2015, 9:25 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Mattflaschen-WMF set Security to None.
Mattflaschen-WMF triaged this task as Medium priority.Apr 27 2015, 5:51 PM

Change 208060 had a related patch set uploaded (by Catrope):
Add jsduck support

https://gerrit.wikimedia.org/r/208060

Change 208060 merged by jenkins-bot:
Add jsduck support

https://gerrit.wikimedia.org/r/208060

I'll do this the same way it's done for GuidedTour.

DannyH edited a custom field.May 6 2015, 6:59 PM

Is the only thing left auto-publishing this to doc.wm.o?

Change 217448 had a related patch set uploaded (by Legoktm):
Add Flow jsduck-publish job

https://gerrit.wikimedia.org/r/217448

Change 217448 merged by jenkins-bot:
Add Flow jsduck-publish job

https://gerrit.wikimedia.org/r/217448

Change 217961 had a related patch set uploaded (by Legoktm):
doc: Add link to Flow's jsduck documentation

https://gerrit.wikimedia.org/r/217961

Change 217961 merged by jenkins-bot:
doc: Add link to Flow's jsduck documentation

https://gerrit.wikimedia.org/r/217961